GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::MissingKeyReactionError Class Referencefinal

Exception thrown when a constructed network fails to include a key reaction required by the policy. More...

`#include <error_policy.h>`

Inheritance diagram for gridfire::exceptions::MissingKeyReactionError:
[legend]
Collaboration diagram for gridfire::exceptions::MissingKeyReactionError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception thrown when a constructed network fails to include a key reaction required by the policy.

This error is typically thrown from the `construct()` method of a `NetworkPolicy` after the network has been built but fails the final verification step.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_policy.h